(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["pages-shift-type-editor-shift-type-editor-module"],{

/***/ "3WFG":
/*!**********************************************!*\
  !*** ./src/app/services/calendar.service.ts ***!
  \**********************************************/
/*! exports provided: CalendarService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CalendarService", function() { return CalendarService; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "mrSG");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "fXoL");
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ "qCKp");
/* harmony import */ var _database_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./database.service */ "ZJFI");




let CalendarService = class CalendarService {
    constructor(database) {
        this.database = database;
    }
    deleteCalendar(calendar) {
        const result = new rxjs__WEBPACK_IMPORTED_MODULE_2__["Subject"]();
        this.database.getDatabase().subscribe((db) => db.transaction((tx) => tx.executeSql('DELETE FROM calendars WHERE id = ?', [calendar.id], () => result.complete(), () => result.error("calendars.error.could_not_delete"))));
        return result;
    }
    getCalendars() {
        const calendars = new rxjs__WEBPACK_IMPORTED_MODULE_2__["Subject"]();
        this.database.getDatabase().subscribe((db) => {
            db.transaction((tx) => {
                tx.executeSql('SELECT * FROM calendars', [], (_, result) => {
                    calendars.next(this.readCalendars(result.rows));
                });
            });
        });
        return calendars;
    }
    saveCalendar(calendar) {
        var _a;
        calendar.name = (_a = calendar.name) === null || _a === void 0 ? void 0 : _a.trim();
        if (!calendar.name) {
            return Object(rxjs__WEBPACK_IMPORTED_MODULE_2__["throwError"])("calendars.error.empty_name");
        }
        if (!calendar.id) {
            return this.save(calendar);
        }
        return this.update(calendar);
    }
    save(calendar) {
        const result = new rxjs__WEBPACK_IMPORTED_MODULE_2__["Subject"]();
        this.database.getDatabase().subscribe((db) => db.transaction((tx) => tx.executeSql('INSERT INTO calendars (name) VALUES (?)', [calendar.name], () => result.complete(), (_, err) => result.error("calendars.error.could_not_save"))));
        return result;
    }
    update(calendar) {
        const result = new rxjs__WEBPACK_IMPORTED_MODULE_2__["Subject"]();
        this.database.getDatabase().subscribe((db) => db.transaction((tx) => tx.executeSql('UPDATE calendars SET name = ? WHERE id = ?', [calendar.name, calendar.id], () => result.complete(), () => result.error("calendars.error.could_not_update"))));
        return result;
    }
    readCalendars(rows) {
        const calendars = [];
        for (let i = 0; i < rows.length; i++) {
            calendars.push(rows.item(i));
        }
        return calendars;
    }
};
CalendarService.ctorParameters = () => [
    { type: _database_service__WEBPACK_IMPORTED_MODULE_3__["DatabaseService"] }
];
CalendarService = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
        providedIn: 'root'
    })
], CalendarService);



/***/ }),

/***/ "IsYV":
/*!***********************************************************************************************************!*\
  !*** ./node_modules/raw-loader/dist/cjs.js!./src/app/pages/shift-type-editor/shift-type-editor.page.html ***!
  \***********************************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ("<ion-header [translucent]=\"true\">\r\n  <ion-toolbar>\r\n    <ion-title *ngIf=\"shiftType.id\" translate>shift_types.edit_shift_type</ion-title>\r\n    <ion-title *ngIf=\"!shiftType.id\" translate>shift_types.new_shift_type</ion-title>\r\n  </ion-toolbar>\r\n</ion-header>\r\n\r\n<ion-content>\r\n  <ion-list>\r\n    <ion-item>\r\n      <ion-label position=\"floating\" translate>shift_types.shift_type_name</ion-label>\r\n      <ion-input [(ngModel)]=\"shiftType.name\"></ion-input>\r\n    </ion-item>\r\n    <ion-item>\r\n      <ion-label position=\"floating\" translate>shift_types.shift_type_initials</ion-label>\r\n      <ion-input [(ngModel)]=\"shiftType.initials\"></ion-input>\r\n    </ion-item>\r\n    <ion-item>\r\n      <ion-label position=\"floating\" translate>shift_types.shift_type_from_hour</ion-label>\r\n      <ion-datetime [(ngModel)]=\"shiftType.fromHour\" display-format=\"HH:mm\" picker-format=\"HH:mm\"></ion-datetime>\r\n    </ion-item>\r\n    <ion-item>\r\n      <ion-label position=\"floating\" translate>shift_types.shift_type_to_hour</ion-label>\r\n      <ion-datetime [(ngModel)]=\"shiftType.toHour\" display-format=\"HH:mm\" picker-format=\"HH:mm\"></ion-datetime>\r\n    </ion-item>\r\n    <ion-item>\r\n      <ion-label position=\"floating\" translate>shift_types.shift_type_hours</ion-label>\r\n      <ion-input [(ngModel)]=\"shiftType.hours\" type=\"number\"></ion-input>\r\n    </ion-item>\r\n    <ion-item>\r\n      <ion-label position=\"floating\" translate>shift_types.shift_type_price</ion-label>\r\n      <ion-input [(ngModel)]=\"shiftType.price\"></ion-input>\r\n    </ion-item>\r\n    <ion-item>\r\n      <ion-label position=\"floating\" translate>shift_types.shift_type_color</ion-label>\r\n      <ion-input [(ngModel)]=\"shiftType.color\"></ion-input>\r\n    </ion-item>\r\n    <ion-item>\r\n      <ion-label position=\"floating\" translate>shift_types.shift_type_calendars</ion-label>\r\n      <ion-select [(ngModel)]=\"shiftType.calendars\" [compareWith]=\"compareCalendars\" multiple=\"true\">\r\n        <ion-select-option *ngFor=\"let calendar of calendars\" [value]=\"calendar\">{{ calendar.name }}</ion-select-option>\r\n      </ion-select>\r\n    </ion-item>\r\n    <ion-item class=\"ion-text-center\" lines=\"none\">\r\n      <ion-label>\r\n        <ion-button (click)=\"cancel()\" color=\"light\" id=\"cancel\" translate>commons.cancel</ion-button>\r\n      </ion-label>\r\n      <ion-label>\r\n        <ion-button (click)=\"save()\" color=\"primary\" id=\"save\" translate>commons.save</ion-button>\r\n      </ion-label>\r\n    </ion-item>\r\n  </ion-list>\r\n</ion-content>\r\n");

/***/ }),

/***/ "KlCm":
/*!**************************************!*\
  !*** ./src/app/models/shift-type.ts ***!
  \**************************************/
/*! exports provided: ShiftType */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ShiftType", function() { return ShiftType; });
class ShiftType {
    constructor() {
        this.fromHour = "12:00";
        this.toHour = "12:00";
        this.calendars = [];
        this.reminders = [];
    }
    getContrastColor() {
        return (this.getRelativeLuminance() > 0.179) ? "#000000" : "#FFFFFF";
    }
    isEnabledForCalendar(calendar) {
        return this.calendars.some((it) => it.id === calendar.id);
    }
    getRelativeLuminance() {
        const r = this.getRelativeLuminanceComponent(this.color.substring(1, 3));
        const g = this.getRelativeLuminanceComponent(this.color.substring(3, 5));
        const b = this.getRelativeLuminanceComponent(this.color.substring(5));
        return 0.2126 * r + 0.7152 * g + 0.0722 * b;
    }
    getRelativeLuminanceComponent(hex) {
        const c = parseInt(hex, 16) / 255.0;
        if (c <= 0.03928) {
            return c / 12.92;
        }
        return Math.pow((c + 0.055) / 1.055, 2.4);
    }
}


/***/ }),

/***/ "OZwo":
/*!*****************************************************************************!*\
  !*** ./src/app/pages/shift-type-editor/shift-type-editor-routing.module.ts ***!
  \*****************************************************************************/
/*! exports provided: ShiftTypeEditorPageRoutingModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ShiftTypeEditorPageRoutingModule", function() { return ShiftTypeEditorPageRoutingModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "mrSG");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "fXoL");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/router */ "tyNb");
/* harmony import */ var _shift_type_editor_page__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./shift-type-editor.page */ "rgaL");




const routes = [
    {
        path: '',
        component: _shift_type_editor_page__WEBPACK_IMPORTED_MODULE_3__["ShiftTypeEditorPage"]
    }
];
let ShiftTypeEditorPageRoutingModule = class ShiftTypeEditorPageRoutingModule {
};
ShiftTypeEditorPageRoutingModule = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["NgModule"])({
        imports: [_angular_router__WEBPACK_IMPORTED_MODULE_2__["RouterModule"].forChild(routes)],
        exports: [_angular_router__WEBPACK_IMPORTED_MODULE_2__["RouterModule"]],
    })
], ShiftTypeEditorPageRoutingModule);



/***/ }),

/***/ "SB9I":
/*!*********************************************************************!*\
  !*** ./src/app/pages/shift-type-editor/shift-type-editor.page.scss ***!
  \*********************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ("\n/*# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IiIsImZpbGUiOiJzaGlmdC10eXBlLWVkaXRvci5wYWdlLnNjc3MifQ== */");

/***/ }),

/***/ "Y3wc":
/*!*********************************************************************!*\
  !*** ./src/app/pages/shift-type-editor/shift-type-editor.module.ts ***!
  \*********************************************************************/
/*! exports provided: ShiftTypeEditorPageModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ShiftTypeEditorPageModule", function() { return ShiftTypeEditorPageModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "mrSG");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/common */ "ofXK");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/core */ "fXoL");
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/forms */ "3Pt+");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @ionic/angular */ "TEn/");
/* harmony import */ var _ngx_translate_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @ngx-translate/core */ "sYmb");
/* harmony import */ var src_app_app_translate_config__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! src/app/app-translate-config */ "QHOw");
/* harmony import */ var _shift_type_editor_routing_module__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./shift-type-editor-routing.module */ "OZwo");
/* harmony import */ var _shift_type_editor_page__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./shift-type-editor.page */ "rgaL");









let ShiftTypeEditorPageModule = class ShiftTypeEditorPageModule {
};
ShiftTypeEditorPageModule = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_2__["NgModule"])({
        imports: [
            _angular_common__WEBPACK_IMPORTED_MODULE_1__["CommonModule"],
            _angular_forms__WEBPACK_IMPORTED_MODULE_3__["FormsModule"],
            _ionic_angular__WEBPACK_IMPORTED_MODULE_4__["IonicModule"],
            _shift_type_editor_routing_module__WEBPACK_IMPORTED_MODULE_7__["ShiftTypeEditorPageRoutingModule"],
            _ngx_translate_core__WEBPACK_IMPORTED_MODULE_5__["TranslateModule"].forChild(src_app_app_translate_config__WEBPACK_IMPORTED_MODULE_6__["appTranslateConfig"]),
        ],
        declarations: [_shift_type_editor_page__WEBPACK_IMPORTED_MODULE_8__["ShiftTypeEditorPage"]]
    })
], ShiftTypeEditorPageModule);



/***/ }),

/***/ "rgaL":
/*!*******************************************************************!*\
  !*** ./src/app/pages/shift-type-editor/shift-type-editor.page.ts ***!
  \*******************************************************************/
/*! exports provided: ShiftTypeEditorPage */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ShiftTypeEditorPage", function() { return ShiftTypeEditorPage; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "mrSG");
/* harmony import */ var _raw_loader_shift_type_editor_page_html__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! raw-loader!./shift-type-editor.page.html */ "IsYV");
/* harmony import */ var _shift_type_editor_page_scss__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./shift-type-editor.page.scss */ "SB9I");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/core */ "fXoL");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/router */ "tyNb");
/* harmony import */ var src_app_models_shift_type__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! src/app/models/shift-type */ "KlCm");
/* harmony import */ var src_app_services_calendar_service__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! src/app/services/calendar.service */ "3WFG");
/* harmony import */ var src_app_services_shift_type_service__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! src/app/services/shift-type.service */ "s1Pa");








let ShiftTypeEditorPage = class ShiftTypeEditorPage {
    constructor(app, router, calendarService, shiftTypeService, ngZone) {
        this.app = app;
        this.router = router;
        this.calendarService = calendarService;
        this.shiftTypeService = shiftTypeService;
        this.ngZone = ngZone;
        this.calendars = [];
        this.shiftType = new src_app_models_shift_type__WEBPACK_IMPORTED_MODULE_5__["ShiftType"]();
        let shiftType = new src_app_models_shift_type__WEBPACK_IMPORTED_MODULE_5__["ShiftType"]();
        if (this.router.getCurrentNavigation().extras.state) {
            shiftType = this.router.getCurrentNavigation().extras.state.shiftType;
        }
        this.calendarService.getCalendars().subscribe({
            next: calendars => {
                this.calendars = calendars;
                this.shiftType = shiftType;
                this.app.tick();
            }
        });
    }
    ngOnInit() {
    }
    cancel() {
        this.ngZone.run(() => this.router.navigate(['shift-types']));
    }
    compareCalendars(c1, c2) {
        if (Array.isArray(c2)) {
            return c2.some(c => c.id === c1.id);
        }
        return c1 && c2 ? c1.id === c2.id : c1 === c2;
    }
    save() {
        this.shiftTypeService.saveShiftType(this.shiftType).subscribe({
            complete: () => this.ngZone.run(() => this.router.navigate(['shift-types']))
        });
    }
};
ShiftTypeEditorPage.ctorParameters = () => [
    { type: _angular_core__WEBPACK_IMPORTED_MODULE_3__["ApplicationRef"] },
    { type: _angular_router__WEBPACK_IMPORTED_MODULE_4__["Router"] },
    { type: src_app_services_calendar_service__WEBPACK_IMPORTED_MODULE_6__["CalendarService"] },
    { type: src_app_services_shift_type_service__WEBPACK_IMPORTED_MODULE_7__["ShiftTypeService"] },
    { type: _angular_core__WEBPACK_IMPORTED_MODULE_3__["NgZone"] }
];
ShiftTypeEditorPage = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_3__["Component"])({
        selector: 'app-shift-type-editor',
        template: _raw_loader_shift_type_editor_page_html__WEBPACK_IMPORTED_MODULE_1__["default"],
        styles: [_shift_type_editor_page_scss__WEBPACK_IMPORTED_MODULE_2__["default"]]
    })
], ShiftTypeEditorPage);



/***/ }),

/***/ "s1Pa":
/*!************************************************!*\
  !*** ./src/app/services/shift-type.service.ts ***!
  \************************************************/
/*! exports provided: ShiftTypeService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ShiftTypeService", function() { return ShiftTypeService; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "mrSG");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "fXoL");
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ "qCKp");
/* harmony import */ var _models_shift_type__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../models/shift-type */ "KlCm");
/* harmony import */ var _database_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./database.service */ "ZJFI");





let ShiftTypeService = class ShiftTypeService {
    constructor(database) {
        this.database = database;
    }
    deleteShiftType(shiftType) {
        const result = new rxjs__WEBPACK_IMPORTED_MODULE_2__["Subject"]();
        this.database.getDatabase().subscribe((db) => db.transaction((tx) => {
            tx.executeSql('DELETE FROM shift_types WHERE id = ?', [shiftType.id], null, null);
            tx.executeSql('DELETE FROM calendars_shift_types WHERE shift_type_id = ?', [shiftType.id], null, null);
        }).then(() => result.complete()).catch(() => result.error("shift_types.error.could_not_delete")));
        return result;
    }
    getShiftTypes() {
        const shiftTypes = new rxjs__WEBPACK_IMPORTED_MODULE_2__["Subject"]();
        this.database.getDatabase().subscribe((db) => db.transaction((tx) => tx.executeSql('SELECT id, name, initials, from_hour as fromHour, to_hour as toHour, hours, price, color FROM shift_types', [], (tx, shiftTypesResults) => tx.executeSql('SELECT * FROM calendars_shift_types', [], (_, calendarsShiftTypesResults) => shiftTypes.next(this.readShiftTypes(shiftTypesResults, calendarsShiftTypesResults)), (_, err) => shiftTypes.error(err)), (_, err) => shiftTypes.error(err))));
        return shiftTypes;
    }
    saveShiftType(shiftType) {
        var _a;
        shiftType.name = (_a = shiftType.name) === null || _a === void 0 ? void 0 : _a.trim();
        if (!shiftType.name) {
            return Object(rxjs__WEBPACK_IMPORTED_MODULE_2__["throwError"])("shift_types.error.empty_name");
        }
        if (!shiftType.id) {
            return this.save(shiftType);
        }
        return this.update(shiftType);
    }
    readShiftTypes(shiftTypesResults, calendarsShiftTypesResults) {
        const shiftTypesMap = {};
        const calendarsMap = {};
        for (let i = 0; i < shiftTypesResults.rows.length; i++) {
            const row = shiftTypesResults.rows.item(i);
            const shiftType = Object.assign(new _models_shift_type__WEBPACK_IMPORTED_MODULE_3__["ShiftType"](), row);
            shiftTypesMap[shiftType.id] = shiftType;
        }
        for (let i = 0; i < calendarsShiftTypesResults.rows.length; i++) {
            const row = calendarsShiftTypesResults.rows.item(i);
            const shiftType = shiftTypesMap[row['shift_type_id']];
            let calendar = calendarsMap[row['calendar_id']];
            if (!calendar) {
                calendar = { id: row['calendar_id'] };
                calendarsMap[calendar.id] = calendar;
            }
            shiftType.calendars.push(calendar);
        }
        return Object.values(shiftTypesMap);
    }
    save(shiftType) {
        const result = new rxjs__WEBPACK_IMPORTED_MODULE_2__["Subject"]();
        this.database.getDatabase().subscribe((db) => db.transaction((tx) => tx.executeSql('INSERT INTO shift_types (name, initials, from_hour, to_hour, hours, price, color) VALUES (?, ?, ?, ?, ?, ?, ?)', [shiftType.name, shiftType.initials, shiftType.fromHour, shiftType.toHour, shiftType.hours, shiftType.price, shiftType.color], (tx, insert) => shiftType.calendars.forEach(calendar => {
            tx.executeSql('INSERT INTO calendars_shift_types (calendar_id, shift_type_id) VALUES (?, ?)', [calendar.id, insert.insertId], null, () => result.error("shift_types.error.could_not_save"));
        }), () => result.error("shift_types.error.could_not_save"))).then(() => result.complete()).catch(() => result.error("shift_types.error.could_not_save")));
        return result;
    }
    update(shiftType) {
        const result = new rxjs__WEBPACK_IMPORTED_MODULE_2__["Subject"]();
        this.database.getDatabase().subscribe((db) => db.transaction((tx) => {
            tx.executeSql('UPDATE shift_types SET name = ?, initials = ?, from_hour = ?, to_hour = ?, hours = ?, price = ?, color = ? WHERE id = ?', [shiftType.name, shiftType.initials, shiftType.fromHour, shiftType.toHour, shiftType.hours, shiftType.price, shiftType.color, shiftType.id], null, () => result.error("shift_types.error.could_not_update"));
            tx.executeSql('DELETE FROM calendars_shift_types WHERE shift_type_id = ?', [shiftType.id], null, () => result.error("shift_types.error.could_not_save"));
            shiftType.calendars.forEach(calendar => {
                tx.executeSql('INSERT INTO calendars_shift_types (calendar_id, shift_type_id) VALUES (?, ?)', [calendar.id, shiftType.id], null, () => result.error("shift_types.error.could_not_save"));
            });
        }).then(() => result.complete()).catch(() => result.error("shift_types.error.could_not_save")));
        return result;
    }
};
ShiftTypeService.ctorParameters = () => [
    { type: _database_service__WEBPACK_IMPORTED_MODULE_4__["DatabaseService"] }
];
ShiftTypeService = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
        providedIn: 'root'
    })
], ShiftTypeService);



/***/ })

}]);
//# sourceMappingURL=pages-shift-type-editor-shift-type-editor-module.js.map